All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
op::CocoJsonSaver Class Reference

`#include <cocoJsonSaver.hpp>`

## Public Member Functions

| CocoJsonSaver (const std::string &filePathToSave, const bool humanReadable=true, const CocoJsonFormat cocoJsonFormat=CocoJsonFormat::Body, const int mCocoJsonVariant=0)
virtual | ~CocoJsonSaver ()
void | record (const Array< float > &poseKeypoints, const Array< float > &poseScores, const std::string &imageName)

## Detailed Description

The CocoJsonSaver class creates a COCO validation json file with details about the processed images. It inherits from Recorder.

## Constructor & Destructor Documentation

op::CocoJsonSaver::CocoJsonSaver | ( | const std::string & | filePathToSave,
|  | const bool | humanReadable = `true`,
|  | const CocoJsonFormat | cocoJsonFormat = `CocoJsonFormat::Body`,
|  | const int | mCocoJsonVariant = `0`
| ) |  |

explicit

This constructor of CocoJsonSaver extends the Recorder::Recorder(const std::string & filePathToSave) constructor.

Parameters

  filePathToSave | const std::string parameter with the final file path where the generated json file will be saved.

virtual op::CocoJsonSaver::~CocoJsonSaver | ( |  | ) |

virtual

## Member Function Documentation

void op::CocoJsonSaver::record | ( | const Array< float > & | poseKeypoints,
|  | const Array< float > & | poseScores,
|  | const std::string & | imageName
| ) |  |

The documentation for this class was generated from the following file:

- /home/travis/build/CMU-Perceptual-Computing-Lab/openpose/include/openpose/filestream/cocoJsonSaver.hpp